%define myplugdir %{_libdir}/mysql/plugin/

Name:           mysqludf_xql
Version:        1.0.0
Release:        6%{?dist}
Summary:        MySQL UDF library for XML output

Group:          Applications/Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/lib_mysqludf_xql/
Source0:        http://www.mysqludf.org/lib_mysqludf_xql/lib_%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mysql-devel libxml2-devel
Requires:       mysql-server

# https://bugzilla.redhat.com/show_bug.cgi?id=926190
# autoreconf for aarch64
BuildRequires: automake autoconf libtool

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_%{name}-%{version}
autoreconf -fi
sed -i 's/\r//' API COPYING installdb.sql

%build
%configure --libdir=%{myplugdir} --with-libxml2=%{_libdir}/xml2Conf.sh \
           --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{myplugdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{myplugdir}/lib_mysqludf_xql.so


%changelog
* Mon Mar 25 2013 Yanko Kaneti <yaneti@declera.com> - 1.0.0-5
- autoreconf for aarch64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 25 2009 Yanko Kaneti <yaneti@declera.com> - 1.0.0-1
- New upstream release. Library considered stable.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-10
- update myplugdir for F-11 and mysql-5.1. Remove ldconfig.
- initial import

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-9
- use --disable-static

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-8
- use a define for the plugin location, 
  it changes from mysql 5.0 [F10] to 5.1 [F11]

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-7
- avoid patching and reconfiguring

* Sun Apr 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-6
- ldconfig also in postun
- remove explicit gcc-c++

* Sun Apr 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-5
- file EOL encoding for some docs

* Wed Apr 15 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-4
- require mysql-server instead of just mysql
- fix buildrequires
- hardcode and use mysql libdir

* Thu Apr  9 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-2
- Inital packaging
